StopWatchTask (Ant Contrib)
Keywords: net.sf.antcontrib.perf.StopWatchTask class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.perf
Class StopWatchTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              net.sf.antcontrib.perf.StopWatchTask

    public class StopWatchTask

extends org.apache.tools.ant.Task

Assists in timing tasks and/or targets.

Developed for use with Antelope, migrated to ant-contrib Oct 2003.

Version:
  $Revision: 1.5 $
Author:
  Dale Anson, danson@germane-software.com

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`StopWatchTask()`

Method Summary
`void` | `execute()`
`void` | `setAction(java.lang.String action)`
`void` | `setName(java.lang.String name)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StopWatchTask

    public StopWatchTask()

Method Detail

### setName

    public void setName(java.lang.String name)

### setAction

    public void setAction(java.lang.String action)

### execute

    public void execute()

  Overrides:
    `execute` in class `org.apache.tools.ant.Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD